For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tax Profiles

Tax profile objects

Get tax profiles

get
/v1/tax-profiles

Returns a list of the merchant's tax profiles. A tax profile bundles the jurisdictional tax rates that apply to the products assigned to it.

Note: This operation needs Authentication and supports the following JSON:API features:

  • Relationships - taxRates using the include query parameter.

  • Sparse fieldsets - supports all fields of taxProfile with the fields query parameter.

Authorizations
AuthorizationstringRequired

Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>

Query parameters
page[size]integer · int32 · min: 1 · max: 1000Optional

The number of resources to return in a single response.

page[before]string · min: 1 · max: 36Optional

Unique identifier.

Pattern: ^[a-zA-Z0-9-]+$
page[after]string · min: 1 · max: 36Optional

Unique identifier.

Pattern: ^[a-zA-Z0-9-]+$
Responses
200

Successful response with tax profiles data in JSON:API format.

application/vnd.api+json
get/v1/tax-profiles
GET /pos/v1/tax-profiles HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
      "type": "text",
      "attributes": {
        "name": "text",
        "isDefault": true
      },
      "relationships": {
        "taxRates": {
          "data": [
            {
              "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
              "type": "text"
            }
          ]
        }
      }
    }
  ],
  "included": [
    {
      "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
      "type": "text",
      "attributes": {
        "code": null,
        "ratePercentage": null,
        "calculationBase": "standard"
      },
      "relationships": {
        "taxation": {
          "data": {
            "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
            "type": "text"
          }
        },
        "dependentTaxations": {
          "data": [
            {
              "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
              "type": "text"
            }
          ]
        }
      }
    }
  ],
  "links": {
    "prev": null,
    "next": null
  }
}

Get tax profile

get
/v1/tax-profiles/{id}

Returns a single tax profile by its id, including the jurisdictional tax rates it bundles.

Note: This operation needs Authentication and supports the following JSON:API features:

  • Relationships - taxRates, taxRates.taxation, taxRates.dependentTaxations using the include query parameter.

  • Sparse fieldsets - supports all fields of taxProfile and related resources with the fields query parameter.

Authorizations
AuthorizationstringRequired

Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>

Path parameters
idstring · uuid · min: 36 · max: 36Required

Universally unique ID UUID4.

Example: 5efa8b3c-b930-4b31-918d-95ab0e212e64
Query parameters
Responses
200

Successful response with tax profile data in JSON:API format.

application/vnd.api+json
get/v1/tax-profiles/{id}
GET /pos/v1/tax-profiles/{id} HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
    "type": "text",
    "attributes": {
      "name": "text",
      "isDefault": true
    },
    "relationships": {
      "taxRates": {
        "data": [
          {
            "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
            "type": "text"
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
      "type": "text",
      "attributes": {
        "code": null,
        "ratePercentage": null,
        "calculationBase": "standard"
      },
      "relationships": {
        "taxation": {
          "data": {
            "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
            "type": "text"
          }
        },
        "dependentTaxations": {
          "data": [
            {
              "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
              "type": "text"
            }
          ]
        }
      }
    }
  ]
}

Last updated

Was this helpful?